La migration de Drupal 6 à Drupal 7 : Différence entre versions

De April MediaWiki
m (ajout page migration drupal incomplète)
 
m (Liste des modules Drupal utilisés : complétion liste des modules actuellement utilisés)
Ligne 13 : Ligne 13 :
 
! Module || Version || Commentaire || Utile || Notes sur la mise à jour
 
! Module || Version || Commentaire || Utile || Notes sur la mise à jour
 
|-
 
|-
| admin_menu || 6.x-1.5 ||/ ||bgcolor="#a0ffa0"| Purement gadget, pas activé
+
| Advanced_Contact||6.x-1.1|| || || à jour
 
|-
 
|-
| alexandrie ||Module interne April || A vérifier si le module fonctionne sous Drupal 6 ||bgcolor="#a0ffa0"| Utile, peut être temporairement désactivé
+
| Advanced_help || 6.x-1.2 ||  || || à jour
 
|-
 
|-
| advcontact || 6.x-1.1 || / ||bgcolor="#a0ffa0"| Oui
+
| Alinks || 6.x-1.0-rc1 || || || à jour
 
|-
 
|-
| affiliates || 6.x-1.10 || / ||bgcolor="#a0ffa0"| Est dans la catégorie "module inutile de démocratisation", à supprimer.
+
| Calendar || 6.x-2.4 || || || à jour
 
|-
 
|-
| alinks || 6.x-1.0-rc1 || La dernière release pour D6 date de 15 otc. 2008 et est une RC ||bgcolor="#a0ffa0"| Oui
+
| Chaos_tool_suite (ctools) || 6.x-1.8 || || || à jour
 
|-
 
|-
| cck || 6.x-2.6 || / ||bgcolor="#a0ffa0"| Oui || Il faut d'abord mettre à jour les modules en dépendant en version 5.x cf. http://drupal.org/project/cc
+
| Contact Forms || 6.x-1.12 || || || version recommendée 6.x-1.14 (2012-avr.-17)
 
|-
 
|-
| contact_forms || 6.x-1.12 || / ||bgcolor="#a0ffa0"| Sans doute utilisé comme advcontact
+
| Content_Construction_Kit (CCK) || 6.x-2.9 ||   ||   || Egalement disponible : 6.x-3.0-alpha3 (2011-mars-17)
 
|-
 
|-
| contemplate || 6.x-1.1 || / ||bgcolor="#a0ffa0"| oui, par snip
+
| Content Templates (Contemplate) || 6.x-1.2 ||   ||   || à jour
 
|-
 
|-
| date || 6.x-2.4 || / ||bgcolor="#a0ffa0"| il serait utile de s'en servir avec CCK pour des champs de date, mais il y a un bug avec la présence event.
+
| Date || 6.x-2.||   ||   || Version recommandée : 6.x-2.9 (2012-avr.-27) 
 
|-
 
|-
| diff || 6.x-2.0 || ||bgcolor="#a0ffa0"| Oui
+
| Diff || 6.x-2.||   ||   || à jour
 
|-
 
|-
| docs || ? || Pas de version 6.x ||bgcolor="#a0ffa0"| ? n'est pas activé, n'est donc pas utilisé, est donc à supprimer.
+
| Feed_Path_Publisher || 6.x-1.2  ||   ||  || à jour   
 
|-
 
|-
| downld || ? || Pas de version 6.x; Contournement dans les correctifs ||bgcolor="#a0ffa0"| ? n'est pas activé, n'est donc pas utilisé, est donc à supprimer.
+
| Footnotes || 6.x-2.5  ||   ||  ||  à jour 
 
|-
 
|-
| event || 6.x-2.x-dev || Development snapshot ||bgcolor="#a0ffa0"| Oui à priori, mais va être supprimer pour une autre solution de gestion des événement. || Possibilité d'export en iCal pour un migration vers Date+Calendar après migration en D6. cf http://drupal.org/node/524394
+
| HTMLcomment || 6.x-1.0 ||   ||   || à jour     
 
|-
 
|-
| event_manager || ? || Pas de version 6.x; Peut être remplacé par Event + Signup + Calendar + Signup Scheduler ||bgcolor="#a0ffa0"| Va être supprimer comme event.
+
| Internationalization || 6.x-1.10  ||   ||  || à jour     
 
|-
 
|-
| footnotes || 6.x-2.3 || / ||bgcolor="#a0ffa0"| Oui
+
| Link || 6.x-2.||   ||   || à jour     
 
|-
 
|-
| gdtc || Module interne April || A vérifier si le module fonctionne sous Drupal 6 ||bgcolor="#a0ffa0"| Oui
+
| Localization_client || 6.x-2.0  ||   ||   || Version recommandée : 6.x-2.1 (2012-avr.-26)
 
|-
 
|-
| gdtc_auth || Module interne April || A vérifier si le module fonctionne sous Drupal 6 ||bgcolor="#a0ffa0"| Oui
+
| Mime_Mail || 6.x-1.0  ||   ||   || à jour     
 
|-
 
|-
| i18n || 6.x-1.4 || / ||bgcolor="#a0ffa0"| Oui
+
| No_request_new_password || 6.x-2.||   ||   || à jour     
 
|-
 
|-
| importexportapi || 6.x-1.x-dev || Development snapshot ||bgcolor="#a0ffa0"| Utilisés lors de la migration. Peut être supprimé
+
| Node_clone || 6.x-1.3  ||   ||   || à jour     
 
|-
 
|-
| insert_view || 6.x-2.x-dev || / ||bgcolor="#a0ffa0"| Oui, pour insérer le contenu d'une view dans un node. || Déconseillé suite à des problème de sécurité, cf. http://drupal.org/project/insert_view
+
| Panels || 6.x-3.9 ||   ||   || Mise à jour de sécurité : 6.x-3.10 (2012-janv.-18) 
 
|-
 
|-
| link || 6.x-2.8 || / ||bgcolor="#a0ffa0"| Oui, sous-module de CCK.
+
| Pathauto || 6.x-1.6  ||   ||   || à jour     
 
|-
 
|-
| liquid || ? || Pas de version 6.x || bgcolor="#a0ffa0"| ? n'est pas activé, n'est donc pas utilisé, est donc à supprimer.
+
| Printer, email and PDF versions || 6.x-1.14  ||  ||   || Version recommandée : 6.x-1.17 (2012-Mai-25) 
 
|-
 
|-
| media_mover || 6.x-1.0-beta2 || / ||bgcolor="#a0ffa0"| A supprimer.
+
| Quotes || 6.x-1.42 ||   ||   || à jour     
 
|-
 
|-
| mimemail || 6.x-1.0-alpha2 || Development snapshot || bgcolor="#a0ffa0"| A garder, sans doute utilier pour des mails en HTML par des modules tel que contact ou tell a friend.
+
| Search 404 || 6.x-1.11  ||   ||   || à jour 
 
|-
 
|-
| node_clone || 6.x-1.0 || / ||bgcolor="#a0ffa0"| <s>Oui, pas fondamental mais est utile</s> J'ai cru comprendre que son fonctionnement avec i18n n'est pas recommendé. A supprimer donc.
+
| Syndication || 6.x-1.||   ||   || à jour     
 
|-
 
|-
| node_import || 6.x-1.0-rc4 || / ||bgcolor="#a0ffa0"| Utilisés lors de la migration. Peut être supprimé
+
| Table of Contents || 6.x-3.7  ||   ||   || à jour 
 
|-
 
|-
| nodeteaser || || Pas de version 6.x; Nouvelle version dans les contributions ||bgcolor="#a0ffa0"| Inutile avec Drupal 6 ? Je pense, mais si une fonction est utile, voir : http://drupalmodules.com/module-finder?title=teaser&v=6.x
+
| Tagadelic || 6.x-1.3  ||  ||   || à jour     
à supprimer lors de la migration et VÉRIFIER que tout vas bien pour les teasers.
 
 
|-
 
|-
| nodewords || 6.x-1.0 || / ||bgcolor="#a0ffa0"| HORREUR ! Ajoute la premiere ligne (pas forcément une phrase complete) dans les entets HTML... A SUPPRIMER.
+
| Taxonomy Access Control Lite || 6.x-1.||   ||   || Mise à jour de sécurité : 6.x-1.6 (2011-juin-08)
 
|-
 
|-
| noreqnewpass || 6.x-2.0 || / ||bgcolor="#a0ffa0"| Oui, dépendence de gdtc_auth
+
| Theme Settings API || 6.x-1.4 ||   ||   || à jour     
 
|-
 
|-
| og || 6.x-2.0 || / ||bgcolor="#a0ffa0"| à supprimer et trouver une solution correcte pour gérer les permissions (des groupes de travail).
+
| Token || 6.x-1.18  ||   ||   || à jour 
 
|-
 
|-
| panels || 6.x-3.3 ||/ ||bgcolor="#a0ffa0"| Oui || cf. http://drupal.org/node/515140 pour les notes sur une mise à jour du Panels 2 vers Panels 3
+
| Upload path || 6.x-1.||   ||   || à jour      
 
|-
 
|-
| pathauto || 6.x-1.3 ||/ ||bgcolor="#a0ffa0"| Oui || Après mise à jour, il est nécessaire de vérifier la configuration. cf INSTALL.txt
+
| view_unpublished || 6.x-1.2 ||   ||   || Version recommandée : 6.x-1.3 (2012-Mai-07) 
 
|-
 
|-
| path_redirect || 6.x-1.0-beta6 || / ||bgcolor="#a0ffa0"| Pas utilisé, bye ;).
+
| Views || 6.x-2.16  ||   ||   || à jour 
 
|-
 
|-
| print || 6.x-1.10 || / ||bgcolor="#a0ffa0"| Oui || Requiert Drupal 6.11+
+
| bluebreeze || 6.x-1.x-dev (2010-juill.-11)  ||   ||   || 6.x-1.x-dev (2011-févr.-25)
|-
 
| private_upload || 6.x-1.0-rc2 || / ||bgcolor="#a0ffa0"| Test pour le chargement des fichiers. Peut être supprimé
 
|-
 
| quotes || 6.x-1.40 || / ||bgcolor="#a0ffa0"| Oui
 
|-
 
| search404 || 6.x-1.9 || Ne sera peut-être pas utile avec D6 ||bgcolor="#a0ffa0"| Oui, mais n'est pas la solution parfaite. http://www.april.org/wws/arc/siteweb/2008-12/msg00016.html Il ajoute un formualire de recherche car la recherche a partir d'une page 404 ne fonctionne pas.
 
|-
 
| service_links || 6.x-1.0 || / ||bgcolor="#a0ffa0"| Est dans la catégorie "module inutile de démocratisation", à supprimer.
 
|-
 
| simplenews || 6.x-1.0-rc6 || / ||bgcolor="#a0ffa0"| ? n'est pas activé, n'est donc pas utilisé, est donc à supprimer.
 
|-
 
| syndication || 6.x-1.6 || / ||bgcolor="#a0ffa0"| Semble répondre à un problème. A bien regarder pour voir comment l'utiliser.
 
|-
 
| tableofcontents || 6.x-3.5 || / ||bgcolor="#a0ffa0"| oui
 
|-
 
| tagadelic || 6.x-1.2 || / ||bgcolor="#a0ffa0"| Oui, mais pas forcement nécessaire.
 
|-
 
| taxonomy_batch_operations || ? || Pas de version 6.x; Peut être remplacé par VBO (http://drupal.org/project/views_bulk_operations) ||bgcolor="#a0ffa0"| A supprimer, sans doute utiliser lors de la migration. Utile uniquement pour des administrateurs.
 
|-
 
| tellafriend || 6.x-2.8 || / ||bgcolor="#a0ffa0"| Est dans la catégorie "module inutile de démocratisation", à garder pour le plaisir d'alxc.
 
|-
 
| themesettingsapi || 6.x-1.4 || / ||bgcolor="#a0ffa0"| sans doute utilisé pour le thème personalisé. A garder.
 
|-
 
| token || 6.x-1.12 || / ||bgcolor="#a0ffa0"| oui, pour des questions de dépendances
 
|-
 
| uploadpath || 6.x-1.0 || / ||bgcolor="#a0ffa0"| semble répondre au problème soulevé par le grand bazar du dossier files mais, paradoxalement ne semble pas avoir été utilisé jusqu'au bout. Peut être désactiver, à mettre en place pour la D6.
 
|-
 
| views || 6.x-2.6 || / ||bgcolor="#a0ffa0"| Oui || Conversion manuelle de chaque view nécessaire après la mise à jour.
 
|-
 
| view_unpublished || 6.x-1.0 || / ||bgcolor="#a0ffa0"| Oui
 
|-
 
| webform || 6.x-2.7 || / ||bgcolor="#a0ffa0"| Ne semble pas être utilisé puise ce module ajoute un type de contenu et aucun node de type webform n'existe. A supprimer.
 
|-
 
| xmlsitemap || 6.x-1.2 || / ||bgcolor="#a0ffa0"| ???  peut-être utile pour voir la liste des pages. pourquoi pas ??? Est utile pour le référencement. A GARDER (snip) || cf. INSTALL.txt pous instructions de mise à jour
 
 
|-
 
|-
 +
| Zen || 6.x-1.1  ||  ||  || Version recommandée : 6.x-1.2 (2011-févr.-25)
 
|}
 
|}
  

Version du 12 juillet 2012 à 10:04


Cette page est conservée à titre historique

Cette page est utilisée pour préparer la migration du site principale de l'association de Drupal 6 à Drupal 7. Cette migration a été réalisée l'été 2010. Elle fait partie d'un projet plus vaste : la mise en place d'une seconde version pour le site Web sous Drupal.

Liste des modules Drupal utilisés

Liste des modules Drupal 6 utilisés sur le site et les équivalents sous Drupal 7 :

Module Version Commentaire Utile Notes sur la mise à jour
Advanced_Contact 6.x-1.1 à jour
Advanced_help 6.x-1.2 à jour
Alinks 6.x-1.0-rc1 à jour
Calendar 6.x-2.4 à jour
Chaos_tool_suite (ctools) 6.x-1.8 à jour
Contact Forms 6.x-1.12 version recommendée 6.x-1.14 (2012-avr.-17)
Content_Construction_Kit (CCK) 6.x-2.9 Egalement disponible : 6.x-3.0-alpha3 (2011-mars-17)
Content Templates (Contemplate) 6.x-1.2 à jour
Date 6.x-2.7 Version recommandée : 6.x-2.9 (2012-avr.-27)
Diff 6.x-2.3 à jour
Feed_Path_Publisher 6.x-1.2 à jour
Footnotes 6.x-2.5 à jour
HTMLcomment 6.x-1.0 à jour
Internationalization 6.x-1.10 à jour
Link 6.x-2.9 à jour
Localization_client 6.x-2.0 Version recommandée : 6.x-2.1 (2012-avr.-26)
Mime_Mail 6.x-1.0 à jour
No_request_new_password 6.x-2.0 à jour
Node_clone 6.x-1.3 à jour
Panels 6.x-3.9 Mise à jour de sécurité : 6.x-3.10 (2012-janv.-18)
Pathauto 6.x-1.6 à jour
Printer, email and PDF versions 6.x-1.14 Version recommandée : 6.x-1.17 (2012-Mai-25)
Quotes 6.x-1.42 à jour
Search 404 6.x-1.11 à jour
Syndication 6.x-1.7 à jour
Table of Contents 6.x-3.7 à jour
Tagadelic 6.x-1.3 à jour
Taxonomy Access Control Lite 6.x-1.5 Mise à jour de sécurité : 6.x-1.6 (2011-juin-08)
Theme Settings API 6.x-1.4 à jour
Token 6.x-1.18 à jour
Upload path 6.x-1.0 à jour
view_unpublished 6.x-1.2 Version recommandée : 6.x-1.3 (2012-Mai-07)
Views 6.x-2.16 à jour
bluebreeze 6.x-1.x-dev (2010-juill.-11) 6.x-1.x-dev (2011-févr.-25)
Zen 6.x-1.1 Version recommandée : 6.x-1.2 (2011-févr.-25)

Ce qu'on fait des modules

À désactiver, désinstaller et supprimer

À supprimer lors du nettoyage.

Sans scrupule

Un mot à dire

Entre les deux

A trouver une solution de remplacement

À [ supprimer / garder / mieux configurer / tester ] et trouver la solution de préférence lors de la migration

À configurer pour bien les utiliser

Modules internes, à faire migrer

  • alexendrie
  • gdtc
  • gdtc_auth


À garder

Les fondamentaux

Dépendances

Pas fondamental mais utile

À supprimer s'ils posent problème.

L'édition

Utile / sous-module / Autre

Modules potentiellement intéressants

Sous-modules de CCK

Notes

Proposition de plan de migration

Notes, discussions

Modifications des fichiers de Drupal ou de modules sur le site

Documentées
Non 'documentées et à creuser